> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seomator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pick the Search Console property



## OpenAPI

````yaml https://api.seomator.com/openapi.json put /v1/projects/{id}/gsc
openapi: 3.1.0
info:
  title: SEOmator API
  version: 0.1.0
servers:
  - url: https://api.seomator.com
security: []
paths:
  /v1/projects/{id}/gsc:
    put:
      tags:
        - ai visibility
      summary: Pick the Search Console property
      parameters:
        - schema:
            type: string
            description: Project id (proj_…) or slug (the domain with dots as dashes).
          required: true
          description: Project id (proj_…) or slug (the domain with dots as dashes).
          name: id
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                property:
                  type: string
                  minLength: 1
                  maxLength: 500
              required:
                - property
      responses:
        '200':
          description: Connection
          content:
            application/json:
              schema:
                type: object
                properties:
                  gsc:
                    type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - none
                          - active
                          - error
                      property:
                        type:
                          - string
                          - 'null'
                    required:
                      - status
                      - property
                    additionalProperties: {}
                required:
                  - gsc
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Try again later
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKey: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - bad_request
                - unauthorized
                - insufficient_credits
                - plan_limit
                - forbidden
                - not_found
                - conflict
                - rate_limit_exceeded
                - internal_server_error
                - service_unavailable
            message:
              type: string
            requestId:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [List the Search Console properties of the project domain and its subdomains that the connection can read](https://docs.seomator.com/api-reference/ai-visibility/list-the-search-console-properties-of-the-project-domain-and-its-subdomains-that-the-connection-can-read.md)
- [Read the Search Console connection](https://docs.seomator.com/api-reference/ai-visibility/read-the-search-console-connection.md)
- [Projects: set up, track and manage a site](https://docs.seomator.com/getting-started/projects.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.